Skip to main content
POST
Create Sprint

Authorizations

X-API-Key
string
header
required

Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.

Path Parameters

valueUnitId
string
required

Body

application/json

Create sprint payload.

name
string

Sprint name.

startDate
string<date>

Sprint start date.

Example:

"2026-04-01"

endDate
string<date>

Sprint end date.

Example:

"2026-06-30"

goal
string

Sprint goal.

method
string

Sprint execution method.

successCriteria
string

Sprint success criteria.

outcome
string

Sprint outcome text.

status
string

Sprint status.

teamIds
string[]

Optional team ids in the authenticated organization assigned to the sprint.

Response

201 - application/json

Request processed successfully

The response is of type object.